1. 白名单
DeepSafe开发者文档
  • Getting Started
    • 快速开始
    • 创建Api Key
    • 其他说明
    • http请求约定
      • 请求头
      • 请求方法
      • 返回值与错误码
      • Body加密与签名
      • Webhook事件解密与校验
    • Webhook
      • Webhook说明
      • Webhook事件解密与校验
  • Api文档
    • README
    • 钱包
      • 获取钱包列表
      • 获取单个钱包
    • 白名单
      • 获取白名单列表
      • 获取可用的白名单列表
      • 查询白名单转账限制开关状态
    • Schemas
      • wallet
        • list_wallet_resp
        • wallet_base_info
        • get_wallet_resp
        • pending_tx_count
        • wallet_coin_balance
        • wallet_coin_balance_with_price
        • list_wallet_item
      • config
        • coin_info
        • chain_info
        • coin_with_chain
        • whitelist_chain_config
      • sub_wallet
        • sub_wallet_base_info
        • sub_wallet_balance_item
      • whitelist
        • list_whitelist_resp
        • whitelist_with_chain
        • whitelist_tag_info
        • whitelist
        • whitelist_group_info
        • whitelist_transfer_restriction
        • restriction_status_res
      • audit
        • change_whitelist_info
      • base response
      • pageData
  • Webhook文档
    • README
    • 白名单
      • 创建白名单
      • 删除白名单
      • 修改白名单
    • Schemas
      • 白名单
      • base response
      • base event
  • 签名机
    • REAME
    • 对接说明
  1. 白名单

创建白名单

Developing
Webhook
POST
type: add_whitelist

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200成功
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://your-api-server.com' \
--header 'timestamp-milli: 1783926654123' \
--header 'request-id: 99352544-bb54-44f9-9310-c5c2d7498e17' \
--header 'team-id: your_team_id' \
--header 'api-id: your_api_id' \
--header 'currency-id: usd' \
--header 'Content-Type: application/json' \
--data '{
    "type": "string",
    "event_id": "string",
    "event_created_at": 0,
    "data": {
        "new_whitelist": {
            "whitelist_id": "string",
            "name": "string",
            "chain_id": "string",
            "address": "string",
            "status": "auditing",
            "in_auditing": "string",
            "remark": "string",
            "source": "WebConsole",
            "tags": [
                {
                    "whitelist_tag_id": "string",
                    "name": "string"
                }
            ],
            "group_info": {
                "whitelist_group_id": "string",
                "name": "string"
            },
            "audit_record_id": "string"
        },
        "old_whitelist": {
            "whitelist_id": "string",
            "name": "string",
            "chain_id": "string",
            "address": "string",
            "status": "auditing",
            "in_auditing": "string",
            "remark": "string",
            "source": "WebConsole",
            "tags": [
                {
                    "whitelist_tag_id": "string",
                    "name": "string"
                }
            ],
            "group_info": {
                "whitelist_group_id": "string",
                "name": "string"
            },
            "audit_record_id": "string"
        }
    }
}'
Response Response Example
{
    "code": 0
}
Modified at 2026-07-14 08:13:56
Previous
README
Next
删除白名单
Built with